Bug 147951 - Cannot add someone that just added you without taking it's email noted somewhere
Summary: Cannot add someone that just added you without taking it's email noted somewhere
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gaim   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-13 22:29 UTC by Alexandre Strube
Modified: 2007-11-30 22:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-04 10:09:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexandre Strube 2005-02-13 22:29:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
If someone adds you on their buddy list, you receive a notification of that, and a warning asking if you want to do the same.

But the newer versions shows the evolution contacts, not gaim's default window. If you press the button for adding it (new person), the buddy e-mail is lost. Which is, if you didn't noted this buddy email when the first dialog came up, you cannot add this buddy.

I say e-mail in the specific case of msn. Didn't tried with others.

Version-Release number of selected component (if applicable):
gaim-1.1.2-0

How reproducible:
Always

Steps to Reproduce:
1. let someone add you to it's msn buddy list.
2. try adding it. it will pop evolution contacts.
3. press the "new person button"
  

Actual Results:  You don't know the buddy's e-mail, so you cannot do anything about it, but wait for this buddy to contact you.

Expected Results:  The email should be preserved on "new person" dialog.

Additional info:

Comment 1 Luke Schierer 2005-02-13 23:51:11 UTC
do you have the gevolution plugin loaded? 

Comment 2 Alexandre Strube 2005-02-14 10:02:57 UTC
Yes, it is. But this behaviour is unexpected.

Comment 3 Ivan Sedo 2005-03-15 00:15:56 UTC
dunno anything about gevolution plugin, but the problem arises also for icq (you
loose icq# after pressing the button for adding buddy) tried with
gaim-1.1.4-1.1.fc3.nr

Comment 4 Warren Togami 2005-04-29 05:43:23 UTC
This is just a user interface problem.  gaim should have a 'add buddy' button on
the pop-up notification that someone added you.


Comment 5 Stu Tomlinson 2005-04-29 14:42:22 UTC
There already is an 'add buddy' button. The bug is the buddy name was being
discarded by the gevolution plugin's UI for adding a new buddy. This is fixed in
upstream CVS and will be fixed in the next Gaim release.


Note You need to log in before you can comment on or make changes to this bug.